version: '3'

services:
  app:
    image: registry.lesko.me/marek/centrum:latest
    depends_on:
      - db
    restart: unless-stopped
    environment:
      - ASPNETCORE_ENVIRONMENT=Production
      - ConnectionStrings__DefaultConnection=Server=localhost;Database=centrum;User Id=sa;Password=$DB_PASSWORD;
    network_mode: host

  db:
    image: mcr.microsoft.com/mssql/server:2019-latest
    restart: unless-stopped
    network_mode: host
    environment:
      SA_PASSWORD: $DB_PASSWORD
      ACCEPT_EULA: Y
